hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From st...@apache.org
Subject svn commit: r571211 - in /lucene/hadoop/trunk/src/contrib/hbase: CHANGES.txt bin/start-hbase.sh
Date Thu, 30 Aug 2007 15:39:12 GMT
Author: stack
Date: Thu Aug 30 08:39:11 2007
New Revision: 571211

URL: http://svn.apache.org/viewvc?rev=571211&view=rev
Log:
HADOOP-1802 Startup scripts should wait until hdfs as cleared 'safe mode'
M    bin/start-hbase.sh
    Wait to exit 'safe mode' before proceeding w/ startup. If the wait
    fails, usually because there is no fs, exit with error.


Modified:
    lucene/hadoop/trunk/src/contrib/hbase/CHANGES.txt
    lucene/hadoop/trunk/src/contrib/hbase/bin/start-hbase.sh

Modified: lucene/hadoop/trunk/src/contrib/hbase/CHANGES.txt
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/src/contrib/hbase/CHANGES.txt?rev=571211&r1=571210&r2=571211&view=diff
==============================================================================
--- lucene/hadoop/trunk/src/contrib/hbase/CHANGES.txt (original)
+++ lucene/hadoop/trunk/src/contrib/hbase/CHANGES.txt Thu Aug 30 08:39:11 2007
@@ -32,6 +32,7 @@
     HADOOP-1746 Clean up findbugs warnings
     HADOOP-1757 Bloomfilters: single argument constructor, use enum for bloom
                 filter types
+    HADOOP-1802 Startup scripts should wait until hdfs as cleared 'safe mode'
 
 
 Below are the list of changes before 2007-08-18

Modified: lucene/hadoop/trunk/src/contrib/hbase/bin/start-hbase.sh
URL: http://svn.apache.org/viewvc/lucene/hadoop/trunk/src/contrib/hbase/bin/start-hbase.sh?rev=571211&r1=571210&r2=571211&view=diff
==============================================================================
--- lucene/hadoop/trunk/src/contrib/hbase/bin/start-hbase.sh (original)
+++ lucene/hadoop/trunk/src/contrib/hbase/bin/start-hbase.sh Thu Aug 30 08:39:11 2007
@@ -32,5 +32,11 @@
 . "$bin"/hbase-config.sh
 
 # start hbase daemons
+"${HADOOP_HOME}"/bin/hadoop dfsadmin -safemode wait
+errCode=$?
+if [ $errCode -ne 0 ]
+then
+  exit $errCode
+fi
 "$bin"/hbase-daemon.sh --config="${HADOOP_CONF_DIR}" --hbaseconfig="${HBASE_CONF_DIR}" master
start
 "$bin"/hbase-daemons.sh --config="${HADOOP_CONF_DIR}" --hbaseconfig="${HBASE_CONF_DIR}" regionserver
start



Mime
View raw message